Bug 1029953 - QMP: querying -drive option returns a NULL parameter list
QMP: querying -drive option returns a NULL parameter list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 10:31 EST by Cole Robinson
Modified: 2013-11-25 23:52 EST (History)
9 users (show)

See Also:
Fixed In Version: qemu-1.6.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 23:52:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2013-11-13 10:31:56 EST
Description of problem:

{ 'execute': 'query-command-line-options', 'arguments': { 'option': 'drive' } }

{
    "return": [
       	{
            "parameters": [
            ],
            "option": "drive"
        }
    ]
}


Currently we have three QemuOptsList (qemu_common_drive_opts,
qemu_legacy_drive_opts, and qemu_drive_opts)

only qemu_drive_opts is added to vm_config_groups[]

We query commandline options by checking information in vm_config_groups[],
so we can only get a NULL parameter list now.

Another issue is we also can't query legacy options of -drive.

Libvirt is relying on the query-command-line-options for deciding whether to support drive discard options.
Comment 1 Cole Robinson 2013-11-13 10:32:43 EST
upstream patch posted: http://www.spinics.net/linux/fedora/libvir/msg87913.html
Comment 2 Fedora Update System 2013-11-18 09:04:02 EST
qemu-1.6.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qemu-1.6.1-2.fc20
Comment 3 Fedora Update System 2013-11-18 15:17:38 EST
Package qemu-1.6.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.6.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21606/qemu-1.6.1-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-25 23:52:14 EST
qemu-1.6.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.